#ifndef _KVI_KVS_SWITCHLIST_H_
#define _KVI_KVS_SWITCHLIST_H_
//=============================================================================
//
//   File : kvi_kvs_switchlist.h
//   Created on Mon 27 Oct 2003 03:47:48 by Szymon Stefanek
//
//   This file is part of the KVIrc IRC client distribution
//   Copyright (C) 2003 Szymon Stefanek <pragma at kvirc dot net>
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc. ,59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//=============================================================================

#include "kvi_settings.h"
#include "kvi_qstring.h"
#include "kvi_kvs_variant.h"

#include <qintdict.h>

class KVIRC_API KviKvsSwitchList
{
public:
	KviKvsSwitchList();
	~KviKvsSwitchList();
protected:
	QIntDict<KviKvsVariant> * m_pSwitchDict;
public:
	void clear(){ m_pSwitchDict->clear(); };
	void add(int iKey,KviKvsVariant * pVariant);

	virtual KviKvsVariant * find(int key){ return m_pSwitchDict->find(key); };
	virtual unsigned int count(){ return m_pSwitchDict->count(); };

	bool get(int iKey,QString &szBuffer);
	bool get(int iKey,int iBuffer);
};

#endif //!_KVI_KVS_SWITCHLIST_H_
