#ifndef _KVI_SCRIPTTOOLBAR_ITEM_H_
#define _KVI_SCRIPTTOOLBAR_ITEM_H_
//=============================================================================
//
//   File : kvi_scripttoolbar_item.h
//   Creation date : Fri Nov 08 2002 02:39:45 by Szymon Stefanek
//
//   This file is part of the KVirc irc client distribution
//   Copyright (C) 2002 Szymon Stefanek (pragma at kvirc dot net)
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc. ,59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//=============================================================================

#include "kvi_settings.h"

#ifdef COMPILE_SCRIPTTOOLBAR

	class KviScriptToolBarItemDefinition;
	class KviScriptToolBar;
	
	class KviScriptToolBarItem
	{
	public:
		KviScriptToolBarItem(KviScriptToolBar * pBar,KviScriptToolBarItemDefinition * pDef);
		virtual ~KviScriptToolBarItem();
	protected:
		KviScriptToolBarItemDefinition * m_pDef;
		KviScriptToolBar               * m_pBar;
	public:
		KviScriptToolBar * toolBar(){ return m_pBar; };
		virtual void updateText();
		virtual void updateIcon();
		virtual void setEnabledState(bool);
	};
#else // !COMPILE_SCRIPTTOOLBAR
	// we must make moc happy (in class KviScriptToolBarButton)
	class KviScriptToolBarItem
	{
	public:
		KviScriptToolBarItem(){};
		virtual ~KviScriptToolBarItem(){};
	};

#endif // !COMPILE_SCRIPTTOOLBAR

#endif // !_KVI_SCRIPTTOOLBAR_ITEM_H_
